import m from 'mithril';
import { Component } from 'components/component'

require('./widget.css');

interface WidgetAttrs
{
	widgetWidth: number;
}

export abstract class Widget extends Component {
	public widgetWidth = 1.0;
	
	constructor(vnode?: m.Vnode<WidgetAttrs>) {
		super(vnode);
		if(vnode.attrs.widgetWidth !== undefined)
			this.widgetWidth = vnode.attrs.widgetWidth; 
	}
};
